Name:           xz-java
Version:        1.8
Release:        %mkrel 4
Group:          Development/Java
Summary:        Java implementation of XZ data compression
License:        Public Domain
URL:            http://tukaani.org/xz/java.html
BuildArch:      noarch

Source0:        http://tukaani.org/xz/xz-java-%{version}.zip

BuildRequires:  javapackages-local
BuildRequires:  ant

%description
A complete implementation of XZ data compression in Java.

It features full support for the .xz file format specification version 1.0.4,
single-threaded streamed compression and decompression, single-threaded
decompression with limited random access support, raw streams (no .xz headers)
for advanced users, including LZMA2 with preset dictionary.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c %{name}-%{version}

# disable javadoc linting
sed -i -e '/<javadoc/aadditionalparam="-Xdoclint:none"' build.xml

%mvn_file : %{name} xz

%build
# During documentation generation the upstream build.xml tries to download
# package-list from oracle.com. Create a dummy package-list to prevent that.
mkdir -p extdoc && touch extdoc/package-list

ant maven -Dsourcever=1.8

%install
%mvn_artifact build/maven/xz-%{version}.pom build/jar/xz.jar

%mvn_install -J build/doc

%files -f .mfiles
%doc README THANKS
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING



%changelog
* Tue Oct 27 2020 tv <tv> 1.8-4.mga8
+ Revision: 1639777
- Fix building against Java 11

* Wed Feb 12 2020 umeabot <umeabot> 1.8-3.mga8
+ Revision: 1508279
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.8-2.mga7
+ Revision: 1292197
- Mageia 7 Mass Rebuild

* Fri Aug 24 2018 daviddavid <daviddavid> 1.8-1.mga7
+ Revision: 1253741
- new version: 1.8 (sync with fc29)

* Sat Sep 02 2017 daviddavid <daviddavid> 1.6-1.mga7
+ Revision: 1150825
- Update to upstream version 1.6
- Install with XMvn
+ neoclust <neoclust>
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package xz-java with fedora

* Thu Feb 18 2016 umeabot <umeabot> 1.5-5.mga6
+ Revision: 965415
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 daviddavid <daviddavid> 1.5-4.mga5
+ Revision: 808212
- use .mfiles generated during build

* Wed Oct 15 2014 umeabot <umeabot> 1.5-3.mga5
+ Revision: 743502
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 690810
- Mageia 5 Mass Rebuild

* Fri May 09 2014 dmorgan <dmorgan> 1.5-1.mga5
+ Revision: 621416
- New version 1.5

* Mon Oct 21 2013 umeabot <umeabot> 1.4-2.mga4
+ Revision: 541171
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.4-1.mga4
+ Revision: 495304
- New version

* Fri Jul 12 2013 dmorgan <dmorgan> 1.2-4.mga4
+ Revision: 453527
- New version

* Sat Jan 19 2013 dmorgan <dmorgan> 1.1-4.mga3
+ Revision: 389577
- Add patch for OSGi Manifest.

* Mon Jan 14 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 387538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 323192
- Build with java7

* Wed Sep 12 2012 dmorgan <dmorgan> 1.1-1.mga3
+ Revision: 292681
- New version

* Fri Jun 08 2012 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 257706
- imported package xz-java

